#include "SNDinc.H"

SndBool SND_CALL SND_fn_bLoadResBinaryMidi(tdstBlockResourceDisk *disk,tdstBlockResourceMem *mem,char *pDataBloc)
{
	return FALSE;
}

SndBool  SND_CALL SND_fn_bIsResLoadedMidi(tdstBlockResourceMem* _pBRMem)
{
	return FALSE;
}

SndBool  SND_CALL SND_fn_bSetParamMidi(long voice,SoundParam *par)
{
	return FALSE;
}

SndBool  SND_CALL SND_fn_bTestInitMidi(void)
{
	return FALSE;
}

SndBool  SND_CALL SND_fn_bTestIsPlayingMidi(long voice)
{
	return FALSE;
}

int      SND_CALL SND_fn_iInitMidi(SND_tdstInitStruct *pInitStruct)
{
	return C_INIT_FAILED;
}

long	    SND_CALL SND_fn_lPlayMidi(tduRefRes res,SoundParam *par,long prio,SND_td_pfn_vSoundCallback fn_callback,long par_callback)
{
	return C_PLAY_FAILED;
}

long     SND_CALL SND_fn_lPlayMidiWithFade(tduRefRes res,SoundParam *par,long prio,SND_td_pfn_vSoundCallback fn_callback,long par_callback,unsigned long ulFadeIn,unsigned long ulFadeOut)
{
	return C_PLAY_FAILED;
}

long     SND_CALL SND_fn_lPlayMidiWithFadeIn(tduRefRes res,SoundParam *par,long prio,SND_td_pfn_vSoundCallback fn_callback,long par_callback,unsigned long ulFadeIn)
{
	return C_PLAY_FAILED;
}

void     SND_CALL SND_fn_vDesInitMidi(void)
{
}

void		SND_CALL SND_fn_vPauseMidi(long voice)
{
}

void     SND_CALL SND_fn_vResumeMidi(long voice)
{
}

void     SND_CALL SND_fn_vRemoveCallbackMidi(long voice)
{
}

void     SND_CALL SND_fn_vStopMidi(long voice)
{
}

void     SND_CALL SND_fn_vStopMidiWithFadeOut(long voice,unsigned long ulFadeOut)
{
}

void	    SND_CALL SND_fn_vUnLoadResMidi(tdstBlockResourceMem* mem)
{
}

SndReal	SND_CALL SND_fn_rGetPosMidi(long voice)
{
	return SND_C_POS_UNKNOWN;
}

SndReal	SND_CALL SND_fn_rGetLengthMidi(long voice)
{
	return SND_C_LENGTH_UNKNOWN;
}


#ifndef NO_ACP_LDBIN
SndBool  SND_CALL SND_fn_bCanFreeDataMidi(void)
{
	return FALSE;
}

#endif

void		SND_CALL SND_fn_vReleaseDriverMidi(void)
{
}

void		SND_CALL SND_fn_vRestoreDriverMidi(void)
{
}

void			SND_CALL SND_fn_vSynchroMidi()
{
}

long		SND_CALL 	SND_fn_lPlayTransitionMidi(tduRefRes FirstRes,tduRefRes NextRes,SND_td_pfn_vSoundCallback transition_callback,long param_callback,SoundParam* par)
{
	return C_PLAY_FAILED;
}

SndBool	SND_CALL SND_fn_bSetParamTransitionMidi(long voice,SoundParam* par)
{
	return FALSE;
}

SndBool	SND_CALL SND_fn_bSetNextTransitionMidi(long voice,tduRefRes new_res)
{
	return FALSE;
}

void			SND_CALL SND_fn_vStopTransitionMidi(long voice)
{
}

void			SND_CALL SND_fn_vResumeTransitionMidi(long voice)
{
}

void			SND_CALL SND_fn_vPauseTransitionMidi(long voice)
{
}

SndBool	SND_CALL  SND_fn_bDoTransitionWithFadeMidi(long voice,tduRefRes new_res)
{
	return FALSE;
}

SndBool SND_CALL  SND_fn_bCheckVersionResourceMidi(tdstBlockResourceDisk* disk)
{
	return FALSE;
}

